Subject: RE: [Megaco] MGC Failure

From: "Kevin Boyle" <[email-masked]>
Date: Thu, 16 Feb 2006 08:08:50 -0500

H.248.14 does not have to be used with anything else.  Note that the MGC
controls both mechanisms: it can perform the empty AuditValue Command at
will, and the MGC programs the MG with the it/ito event.
 
Use of the empty audit allows the MGC to detect link or MG failure.  Use
of it/ito (once programmed by the MGC) allows the MG to detect link or
MGC failure.
 
Kevin

________________________________

	From: [email-masked] [mailto:[email-masked]]
On Behalf Of Leandro Nobre
	Sent: Thursday, February 16, 2006 7:00 AM
	To: [email-masked]
	Subject: RE: [Megaco] MGC Failure

	I mean "master MGC" as the active at that moment. 

	Do you mean that, as h.248.14 is a full recommendation, it
should be used with Auditvalue or it can be used alone? 

	Leandro

________________________________

	From: Kevin Boyle [mailto:[email-masked]] 
	Sent: Thursday, February 16, 2006 3:43 AM
	To: Leandro Nobre; [email-masked]
	Subject: RE: [Megaco] MGC Failure

	RFC3015 is tremendously out of date.  You should be using
H.248.1.  Also, H.248.14 is not an Annex.  It is a full Recommendation
in the H.248 subseries.

	I don't know what you mean by "master MGC" here.  Detection of
link status is effectively a detection of MGC failure -- if the MGC
fails to reply, the MG can assume it has failed and start procedures to
failover to a secondary MGC.  This is explicitly stated in H.248.14.

	Kevin

________________________________

		From: [email-masked]
[mailto:[email-masked]] On Behalf Of Leandro Nobre
		Sent: Wednesday, February 15, 2006 9:49 PM
		To: [email-masked]
		Subject: [Megaco] MGC Failure

		I would like some clarification on the MGC failure
procedure.

		According to usual understanding of RFC3015 and its
annex 14, there are two ways to detect failure in the link:

		1)       MGC sending auditvalue to MG

		2)       MG sending notify it/ito in a predefined
interval to check link status

		My point of view is that this "notify" should also be
used to detect failure in the master MGC, when the notify reply is not
received in MG side.

		I have heard opinions that notify it/ito should be used
only for inactivity testing, not to detect MGC failure. 
		Which one is correct?

		Thanks for the support!

		Leandro Nobre

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco